/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
public String iconName() {
    if ("Mr".equals(getTitle()))
        return "Man";
    if ("Mrs".equals(getTitle()))
        return "Woman";
    if ("Ms".equals(getTitle()))
        return "Woman";
    if ("Miss".equals(getTitle()))
        return "Woman";
    return null; // default
}
